#include <bits/stdc++.h>


using namespace std;

#define DIM 100007

long long n, c, i, s, s1, j;
long long a[100005];

int main()
{
cin>>n;
c = 0;
s1 = 0;
s = 0;
for(i=1; i<=n; i++) cin>>a[i];
for(i=1; i<=n; i++){
    if(a[i] == a[i+1]) c++;
    s += a[i];
}
for(j=1; j<=n-1; j++){
s1+=j;
}
if(c == 0 && a[1]<=n) cout<<s - s1;

    return 0;
}
